var UnmaskedHisat = function()
{
	var unmasked = {};
	var debug = 0;

	unmasked.initPage = function()
	{
		// Navigation
		Buttons.addClickHandler('godelete', Wizard.goRegister);
		
		// Final registration
		Events.addEventHandler('wizard', 'wizard-submit', unmasked.submit);
		
		var url = '../Hisat.servlet?ID='+App.getSessionId();
		url += '&cmd=GetUnmaskedHisatAlignmentsCount';
		Wizard.showLoadingAnimation('Checking for Hisat alignments...');
		Wizard.asyncJsonRequest(url, unmasked.countDone);
	}
	
	unmasked.countDone = function(response)
	{
		var count = response.count;
		Doc.element('count').innerHTML = count;
		Doc.show('step-1');
		
		if (count > 0)
		{
			Doc.show('godelete');
		}
	}
	
	
	unmasked.submit = function()
	{
		// Get permission information
		var url = '../Hisat.servlet?ID='+App.getSessionId();
		url += '&cmd=DeleteUnmaskedHisatAlignments';
		
		Wizard.showLoadingAnimation('Deleting Hisat alignments...', 'hisat-alignments-progress');
		Wizard.asyncJsonRequest(url, unmasked.deleteDone, 'POST');
	}
	
	unmasked.deleteDone = function(response)
	{
		Wizard.showFinalMessage(response.messages);
	}

	return unmasked;
}();

Doc.onLoad(UnmaskedHisat.initPage);

